/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package compilador_oraciones;

import com.sun.awt.AWTUtilities;
import java.awt.Image;
import java.awt.Toolkit;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;

/**
 *
 * @author Kelly Nc
 */
public class JfrmPrincipal extends javax.swing.JFrame {

    Compilador_Oraciones objCompilador_Oraciones = new Compilador_Oraciones();
    Objeto objOracion = new Objeto();
    ImageIcon Imagen[];
    int x, y, xx, yy;
    int contImagen;
    int rescGrafico;
    int contGrafico;
    int[] arrayGrafico;
    int acum_errores = 0;
    ArrayList graficOracion = new ArrayList();
    HashMap<Integer, Integer> numeroGrafico = new HashMap<Integer, Integer>();    

    /**
     * Creates new form JfrmPrincipal
     */
    public JfrmPrincipal() {
        
        initComponents();
        Image icon = Toolkit.getDefaultToolkit().getImage(getClass().getResource("/Recurso/icono.png"));
        setIconImage(icon);
        this.setLocationRelativeTo(this);
        AWTUtilities.setWindowOpaque(this, false);
        juegoOracion();

    }

    public JfrmPrincipal(Compilador_Oraciones Principal) {
        objCompilador_Oraciones = Principal;
        initComponents();
    }

    public void enserar() {
        this.Imagen = new ImageIcon[11];
        this.arrayGrafico = new int[Imagen.length];
        this.contGrafico = 1;
        this.rescGrafico = 0;
        this.contImagen = 0;
        Imagen[0] = new ImageIcon(getClass().getResource("/Recurso/grafico0.png"));
        this.lblVisor.setIcon(Imagen[0]);
        this.btnEmpezar.setEnabled(false);
        this.btnAciertos.setEnabled(false);
        this.btnTabla.setEnabled(false);
        this.btnAnterior.setEnabled(false);
        this.btnSiguiente.setEnabled(true);
        this.btn1.setEnabled(false);
        this.btn2.setEnabled(false);
        this.btn3.setEnabled(false);
        this.btn4.setEnabled(false);
        this.btn5.setEnabled(false);
        this.btn6.setEnabled(false);
        this.lblAgente.setIcon(null);
        this.lblNumerador.setIcon(null);
        this.lblDenominador.setIcon(null);
        this.lblNumerador.setText(null);
        this.lblDenominador.setText(null);
        this.txtInformacion.setText(null);
        this.txtInformacion.setEnabled(false);                
        this.objCompilador_Oraciones.TokenPalabras.clear();
        this.acum_errores=0;        
    }

    public void juegoOracion() {
        enserar();
        int contJuego = 1;
        int numAleatorio = 0;
        int arrayJuego[] = new int[Imagen.length];
        boolean band = false;
        while (contJuego < Imagen.length) {
            numAleatorio = (int) (Math.random() * (Imagen.length - 1) + 1);
            for (int indArrayJuego = 1; indArrayJuego < arrayJuego.length; indArrayJuego++) {
                if (numAleatorio == arrayJuego[indArrayJuego]) {
                    band = true;
                }
            }
            if (band == false) {
                arrayJuego[contJuego] = numAleatorio;
                contJuego++;
            }
            band = false;
        }
        for (int indArrayJuego = 0; indArrayJuego < arrayJuego.length; indArrayJuego++) {
            Imagen[indArrayJuego] = new ImageIcon(getClass().getResource("/Recurso/grafico" + arrayJuego[indArrayJuego] + ".png"));//Ruta de la imagen a trabajar
            numeroGrafico.put(indArrayJuego, arrayJuego[indArrayJuego]);
        }
        btnAnterior.setEnabled(false);

    }

    public void cargarIU() {        
        btn1.setText(null);
        btn2.setText(null);
        btn3.setText(null);
        btn4.setText(null);
        btn5.setText(null);
        btn6.setText(null);
        switch (graficOracion.size()) {
            case 3:
                btn1.setText((String) graficOracion.get(2));
                btn2.setText((String) graficOracion.get(0));
                btn3.setText((String) graficOracion.get(1));
                btn4.setEnabled(false);
                btn5.setEnabled(false);
                btn6.setEnabled(false);
                break;
            case 4:
                btn1.setText((String) graficOracion.get(0));
                btn2.setText((String) graficOracion.get(3));
                btn3.setText((String) graficOracion.get(1));
                btn4.setText((String) graficOracion.get(2));
                btn5.setEnabled(false);
                btn6.setEnabled(false);
                break;
            case 5:
                btn1.setText((String) graficOracion.get(3));
                btn2.setText((String) graficOracion.get(1));
                btn3.setText((String) graficOracion.get(4));
                btn4.setText((String) graficOracion.get(0));
                btn5.setText((String) graficOracion.get(2));
                btn6.setEnabled(false);
                break;
            case 6:
                btn1.setText((String) graficOracion.get(4));
                btn2.setText((String) graficOracion.get(0));
                btn3.setText((String) graficOracion.get(5));
                btn4.setText((String) graficOracion.get(2));
                btn5.setText((String) graficOracion.get(1));
                btn6.setText((String) graficOracion.get(3));
                break;
        }

    }
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        JfrmTabla = new javax.swing.JFrame();
        pnTabla = new javax.swing.JPanel();
        btnSalir1 = new javax.swing.JButton();
        btnFondo3 = new javax.swing.JButton();
        btnFondo2 = new javax.swing.JButton();
        btnFondo1 = new javax.swing.JButton();
        scrollTabla = new javax.swing.JScrollPane();
        tblResumen = new javax.swing.JTable();
        lblTitulo = new javax.swing.JLabel();
        lblFondo1 = new javax.swing.JLabel();
        pnPrincipal = new javax.swing.JPanel();
        btnBorrar = new javax.swing.JButton();
        lblTitulo1 = new javax.swing.JLabel();
        lblMousePressed = new javax.swing.JLabel();
        lblVisor = new javax.swing.JLabel();
        btnTabla = new javax.swing.JButton();
        btn1 = new javax.swing.JButton();
        btn2 = new javax.swing.JButton();
        btn3 = new javax.swing.JButton();
        btn4 = new javax.swing.JButton();
        btn5 = new javax.swing.JButton();
        btn6 = new javax.swing.JButton();
        lblContenedor = new javax.swing.JLabel();
        btnAnterior = new javax.swing.JButton();
        btnSiguiente = new javax.swing.JButton();
        btnCompilar = new javax.swing.JButton();
        btnSalir = new javax.swing.JButton();
        btnAciertos = new javax.swing.JButton();
        lblDenominador = new javax.swing.JLabel();
        lblNumerador = new javax.swing.JLabel();
        lblCalificacion = new javax.swing.JLabel();
        lblAgente = new javax.swing.JLabel();
        btnEmpezar = new javax.swing.JButton();
        txtInformacion = new javax.swing.JEditorPane();
        lblFondoImg = new javax.swing.JLabel();

        JfrmTabla.setMinimumSize(new java.awt.Dimension(1060, 767));
        JfrmTabla.setUndecorated(true);
        JfrmTabla.getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        pnTabla.setBackground(new java.awt.Color(255, 255, 255));
        pnTabla.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        btnSalir1.setBackground(new java.awt.Color(255, 255, 255));
        btnSalir1.setFont(new java.awt.Font("Edelfontmed", 0, 24)); // NOI18N
        btnSalir1.setForeground(new java.awt.Color(204, 0, 51));
        btnSalir1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/btnSalirP.png"))); // NOI18N
        btnSalir1.setAlignmentX(0.5F);
        btnSalir1.setBorder(null);
        btnSalir1.setBorderPainted(false);
        btnSalir1.setContentAreaFilled(false);
        btnSalir1.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnSalir1.setDebugGraphicsOptions(javax.swing.DebugGraphics.NONE_OPTION);
        btnSalir1.setDefaultCapable(false);
        btnSalir1.setFocusPainted(false);
        btnSalir1.setFocusable(false);
        btnSalir1.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btnSalir1.setIconTextGap(10);
        btnSalir1.setPressedIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/btnSalirP.png"))); // NOI18N
        btnSalir1.setRequestFocusEnabled(false);
        btnSalir1.setRolloverIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/btnSalirM.png"))); // NOI18N
        btnSalir1.setVerifyInputWhenFocusTarget(false);
        btnSalir1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnSalir1ActionPerformed(evt);
            }
        });
        pnTabla.add(btnSalir1, new org.netbeans.lib.awtextra.AbsoluteConstraints(960, 0, 100, 90));

        btnFondo3.setBackground(new java.awt.Color(255, 255, 255));
        btnFondo3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/fondoTabla3.png"))); // NOI18N
        btnFondo3.setBorder(null);
        btnFondo3.setBorderPainted(false);
        btnFondo3.setContentAreaFilled(false);
        btnFondo3.setRolloverIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/fondoTabla3.1.png"))); // NOI18N
        pnTabla.add(btnFondo3, new org.netbeans.lib.awtextra.AbsoluteConstraints(800, 20, -1, 120));

        btnFondo2.setBackground(new java.awt.Color(255, 255, 255));
        btnFondo2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/fondoTabla2.png"))); // NOI18N
        btnFondo2.setBorder(null);
        btnFondo2.setBorderPainted(false);
        btnFondo2.setContentAreaFilled(false);
        btnFondo2.setRolloverIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/fondoTabla2.1.png"))); // NOI18N
        pnTabla.add(btnFondo2, new org.netbeans.lib.awtextra.AbsoluteConstraints(40, 10, -1, 210));

        btnFondo1.setBackground(new java.awt.Color(255, 255, 255));
        btnFondo1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/fondoTabla1.png"))); // NOI18N
        btnFondo1.setBorder(null);
        btnFondo1.setBorderPainted(false);
        btnFondo1.setContentAreaFilled(false);
        btnFondo1.setRolloverIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/fondoTabla1.1.png"))); // NOI18N
        pnTabla.add(btnFondo1, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 590, -1, -1));

        scrollTabla.setBackground(new java.awt.Color(255, 255, 255));
        scrollTabla.setBorder(null);
        scrollTabla.setForeground(new java.awt.Color(255, 255, 255));
        scrollTabla.setFocusable(false);
        scrollTabla.setFont(new java.awt.Font("Edelfontmed", 0, 24)); // NOI18N
        scrollTabla.setOpaque(false);

        tblResumen.setFont(new java.awt.Font("Edelfontmed", 0, 24)); // NOI18N
        tblResumen.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {

            }
        ));
        tblResumen.setAutoscrolls(false);
        tblResumen.setGridColor(new java.awt.Color(255, 255, 255));
        tblResumen.setRowHeight(20);
        tblResumen.setSelectionBackground(new java.awt.Color(255, 255, 255));
        tblResumen.setSelectionForeground(new java.awt.Color(0, 0, 0));
        scrollTabla.setViewportView(tblResumen);

        pnTabla.add(scrollTabla, new org.netbeans.lib.awtextra.AbsoluteConstraints(40, 230, 980, 360));

        lblTitulo.setFont(new java.awt.Font("Double•Bubble Shadow", 0, 48)); // NOI18N
        lblTitulo.setForeground(new java.awt.Color(0, 204, 255));
        lblTitulo.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblTitulo.setText("Gramatica de la Oración");
        pnTabla.add(lblTitulo, new org.netbeans.lib.awtextra.AbsoluteConstraints(140, 170, -1, -1));

        lblFondo1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/fondoTabla.png"))); // NOI18N
        lblFondo1.setAutoscrolls(true);
        lblFondo1.setOpaque(true);
        pnTabla.add(lblFondo1, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 1060, 750));

        JfrmTabla.getContentPane().add(pnTabla, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 1062, 751));

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setMinimumSize(new java.awt.Dimension(1080, 750));
        setUndecorated(true);
        addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                formMousePressed(evt);
            }
        });
        getContentPane().setLayout(new javax.swing.OverlayLayout(getContentPane()));

        pnPrincipal.setBackground(new java.awt.Color(255, 255, 255));
        pnPrincipal.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        btnBorrar.setBackground(new java.awt.Color(255, 255, 255));
        btnBorrar.setFont(new java.awt.Font("Edelfontmed", 0, 24)); // NOI18N
        btnBorrar.setForeground(new java.awt.Color(0, 0, 153));
        btnBorrar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/limpiar.png"))); // NOI18N
        btnBorrar.setAlignmentX(0.5F);
        btnBorrar.setBorder(null);
        btnBorrar.setBorderPainted(false);
        btnBorrar.setContentAreaFilled(false);
        btnBorrar.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnBorrar.setDefaultCapable(false);
        btnBorrar.setFocusPainted(false);
        btnBorrar.setFocusable(false);
        btnBorrar.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        btnBorrar.setHorizontalTextPosition(javax.swing.SwingConstants.LEFT);
        btnBorrar.setIconTextGap(10);
        btnBorrar.setRequestFocusEnabled(false);
        btnBorrar.setRolloverEnabled(false);
        btnBorrar.setVerifyInputWhenFocusTarget(false);
        btnBorrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnBorrarActionPerformed(evt);
            }
        });
        pnPrincipal.add(btnBorrar, new org.netbeans.lib.awtextra.AbsoluteConstraints(960, 330, -1, -1));

        lblTitulo1.setFont(new java.awt.Font("Double•Bubble Shadow", 0, 60)); // NOI18N
        lblTitulo1.setForeground(new java.awt.Color(255, 255, 255));
        lblTitulo1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblTitulo1.setText("Arma Oraciones con las palabras");
        pnPrincipal.add(lblTitulo1, new org.netbeans.lib.awtextra.AbsoluteConstraints(30, 20, -1, -1));

        lblMousePressed.setFont(new java.awt.Font("Edelfontmed", 0, 24)); // NOI18N
        lblMousePressed.setCursor(new java.awt.Cursor(java.awt.Cursor.MOVE_CURSOR));
        lblMousePressed.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseDragged(java.awt.event.MouseEvent evt) {
                lblMousePressedMouseDragged(evt);
            }
        });
        lblMousePressed.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                lblMousePressedMousePressed(evt);
            }
        });
        pnPrincipal.add(lblMousePressed, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 980, 40));

        lblVisor.setFont(new java.awt.Font("Edelfontmed", 0, 24)); // NOI18N
        lblVisor.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblVisor.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        pnPrincipal.add(lblVisor, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 200, 290, 310));

        btnTabla.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/btnResumen.png"))); // NOI18N
        btnTabla.setContentAreaFilled(false);
        btnTabla.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnTablaActionPerformed(evt);
            }
        });
        pnPrincipal.add(btnTabla, new org.netbeans.lib.awtextra.AbsoluteConstraints(520, 680, -1, -1));

        btn1.setBackground(new java.awt.Color(255, 255, 255));
        btn1.setFont(new java.awt.Font("Edelfontmed", 0, 32)); // NOI18N
        btn1.setBorder(null);
        btn1.setContentAreaFilled(false);
        btn1.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btn1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btn1ActionPerformed(evt);
            }
        });
        pnPrincipal.add(btn1, new org.netbeans.lib.awtextra.AbsoluteConstraints(330, 200, 200, 40));

        btn2.setBackground(new java.awt.Color(255, 255, 255));
        btn2.setFont(new java.awt.Font("Edelfontmed", 0, 32)); // NOI18N
        btn2.setBorder(null);
        btn2.setContentAreaFilled(false);
        btn2.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btn2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btn2ActionPerformed(evt);
            }
        });
        pnPrincipal.add(btn2, new org.netbeans.lib.awtextra.AbsoluteConstraints(560, 200, 200, 40));

        btn3.setBackground(new java.awt.Color(255, 255, 255));
        btn3.setFont(new java.awt.Font("Edelfontmed", 0, 32)); // NOI18N
        btn3.setBorder(null);
        btn3.setContentAreaFilled(false);
        btn3.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btn3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btn3ActionPerformed(evt);
            }
        });
        pnPrincipal.add(btn3, new org.netbeans.lib.awtextra.AbsoluteConstraints(790, 200, 200, 40));

        btn4.setBackground(new java.awt.Color(255, 255, 255));
        btn4.setFont(new java.awt.Font("Edelfontmed", 0, 32)); // NOI18N
        btn4.setBorder(null);
        btn4.setContentAreaFilled(false);
        btn4.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btn4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btn4ActionPerformed(evt);
            }
        });
        pnPrincipal.add(btn4, new org.netbeans.lib.awtextra.AbsoluteConstraints(330, 260, 200, 40));

        btn5.setBackground(new java.awt.Color(255, 255, 255));
        btn5.setFont(new java.awt.Font("Edelfontmed", 0, 32)); // NOI18N
        btn5.setBorder(null);
        btn5.setContentAreaFilled(false);
        btn5.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btn5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btn5ActionPerformed(evt);
            }
        });
        pnPrincipal.add(btn5, new org.netbeans.lib.awtextra.AbsoluteConstraints(560, 260, 200, 40));

        btn6.setBackground(new java.awt.Color(255, 255, 255));
        btn6.setFont(new java.awt.Font("Edelfontmed", 0, 32)); // NOI18N
        btn6.setBorder(null);
        btn6.setContentAreaFilled(false);
        btn6.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btn6.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btn6ActionPerformed(evt);
            }
        });
        pnPrincipal.add(btn6, new org.netbeans.lib.awtextra.AbsoluteConstraints(790, 260, 200, 40));

        lblContenedor.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(255, 204, 0)));
        pnPrincipal.add(lblContenedor, new org.netbeans.lib.awtextra.AbsoluteConstraints(330, 200, 660, 120));

        btnAnterior.setBackground(new java.awt.Color(255, 255, 255));
        btnAnterior.setFont(new java.awt.Font("Edelfontmed", 0, 24)); // NOI18N
        btnAnterior.setForeground(new java.awt.Color(0, 153, 153));
        btnAnterior.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/btnAnteriorP.png"))); // NOI18N
        btnAnterior.setToolTipText("");
        btnAnterior.setBorder(null);
        btnAnterior.setBorderPainted(false);
        btnAnterior.setContentAreaFilled(false);
        btnAnterior.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnAnterior.setDebugGraphicsOptions(javax.swing.DebugGraphics.NONE_OPTION);
        btnAnterior.setDefaultCapable(false);
        btnAnterior.setFocusPainted(false);
        btnAnterior.setFocusable(false);
        btnAnterior.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        btnAnterior.setHorizontalTextPosition(javax.swing.SwingConstants.LEFT);
        btnAnterior.setIconTextGap(10);
        btnAnterior.setRequestFocusEnabled(false);
        btnAnterior.setRolloverEnabled(false);
        btnAnterior.setVerifyInputWhenFocusTarget(false);
        btnAnterior.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAnteriorActionPerformed(evt);
            }
        });
        pnPrincipal.add(btnAnterior, new org.netbeans.lib.awtextra.AbsoluteConstraints(340, 530, -1, -1));

        btnSiguiente.setBackground(new java.awt.Color(255, 255, 255));
        btnSiguiente.setFont(new java.awt.Font("Edelfontmed", 0, 24)); // NOI18N
        btnSiguiente.setForeground(new java.awt.Color(255, 153, 0));
        btnSiguiente.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/btnSiguienteP.png"))); // NOI18N
        btnSiguiente.setBorder(null);
        btnSiguiente.setBorderPainted(false);
        btnSiguiente.setContentAreaFilled(false);
        btnSiguiente.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnSiguiente.setDebugGraphicsOptions(javax.swing.DebugGraphics.NONE_OPTION);
        btnSiguiente.setDefaultCapable(false);
        btnSiguiente.setFocusPainted(false);
        btnSiguiente.setFocusable(false);
        btnSiguiente.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        btnSiguiente.setHorizontalTextPosition(javax.swing.SwingConstants.LEFT);
        btnSiguiente.setIconTextGap(10);
        btnSiguiente.setRequestFocusEnabled(false);
        btnSiguiente.setRolloverEnabled(false);
        btnSiguiente.setVerifyInputWhenFocusTarget(false);
        btnSiguiente.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnSiguienteActionPerformed(evt);
            }
        });
        pnPrincipal.add(btnSiguiente, new org.netbeans.lib.awtextra.AbsoluteConstraints(440, 530, 90, -1));

        btnCompilar.setBackground(new java.awt.Color(255, 255, 255));
        btnCompilar.setFont(new java.awt.Font("Edelfontmed", 0, 24)); // NOI18N
        btnCompilar.setForeground(new java.awt.Color(0, 204, 204));
        btnCompilar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/btnCompilador.png"))); // NOI18N
        btnCompilar.setAlignmentX(0.5F);
        btnCompilar.setBorder(null);
        btnCompilar.setBorderPainted(false);
        btnCompilar.setContentAreaFilled(false);
        btnCompilar.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnCompilar.setDebugGraphicsOptions(javax.swing.DebugGraphics.NONE_OPTION);
        btnCompilar.setDefaultCapable(false);
        btnCompilar.setFocusPainted(false);
        btnCompilar.setFocusable(false);
        btnCompilar.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        btnCompilar.setHorizontalTextPosition(javax.swing.SwingConstants.LEFT);
        btnCompilar.setIconTextGap(10);
        btnCompilar.setRequestFocusEnabled(false);
        btnCompilar.setRolloverEnabled(false);
        btnCompilar.setVerifyInputWhenFocusTarget(false);
        btnCompilar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCompilarActionPerformed(evt);
            }
        });
        pnPrincipal.add(btnCompilar, new org.netbeans.lib.awtextra.AbsoluteConstraints(540, 540, -1, -1));

        btnSalir.setBackground(new java.awt.Color(255, 255, 255));
        btnSalir.setFont(new java.awt.Font("Edelfontmed", 0, 24)); // NOI18N
        btnSalir.setForeground(new java.awt.Color(204, 0, 51));
        btnSalir.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/btnSalirP.png"))); // NOI18N
        btnSalir.setAlignmentX(0.5F);
        btnSalir.setBorder(null);
        btnSalir.setBorderPainted(false);
        btnSalir.setContentAreaFilled(false);
        btnSalir.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnSalir.setDebugGraphicsOptions(javax.swing.DebugGraphics.NONE_OPTION);
        btnSalir.setDefaultCapable(false);
        btnSalir.setFocusPainted(false);
        btnSalir.setFocusable(false);
        btnSalir.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btnSalir.setIconTextGap(10);
        btnSalir.setPressedIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/btnSalirP.png"))); // NOI18N
        btnSalir.setRequestFocusEnabled(false);
        btnSalir.setRolloverIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/btnSalirM.png"))); // NOI18N
        btnSalir.setVerifyInputWhenFocusTarget(false);
        btnSalir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnSalirActionPerformed(evt);
            }
        });
        pnPrincipal.add(btnSalir, new org.netbeans.lib.awtextra.AbsoluteConstraints(950, 20, 100, 90));

        btnAciertos.setBackground(new java.awt.Color(255, 255, 255));
        btnAciertos.setFont(new java.awt.Font("Edelfontmed", 0, 24)); // NOI18N
        btnAciertos.setForeground(new java.awt.Color(204, 0, 153));
        btnAciertos.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/btnCalificacion.png"))); // NOI18N
        btnAciertos.setAlignmentX(0.5F);
        btnAciertos.setBorderPainted(false);
        btnAciertos.setContentAreaFilled(false);
        btnAciertos.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        btnAciertos.setHorizontalTextPosition(javax.swing.SwingConstants.RIGHT);
        btnAciertos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAciertosActionPerformed(evt);
            }
        });
        pnPrincipal.add(btnAciertos, new org.netbeans.lib.awtextra.AbsoluteConstraints(520, 610, 160, -1));

        lblDenominador.setFont(new java.awt.Font("Double•Bubble Shadow", 0, 36)); // NOI18N
        lblDenominador.setForeground(new java.awt.Color(204, 0, 204));
        lblDenominador.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblDenominador.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        pnPrincipal.add(lblDenominador, new org.netbeans.lib.awtextra.AbsoluteConstraints(720, 600, 80, 80));

        lblNumerador.setFont(new java.awt.Font("Double•Bubble Shadow", 0, 36)); // NOI18N
        lblNumerador.setForeground(new java.awt.Color(204, 0, 204));
        lblNumerador.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblNumerador.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        pnPrincipal.add(lblNumerador, new org.netbeans.lib.awtextra.AbsoluteConstraints(720, 550, 80, 80));

        lblCalificacion.setFont(new java.awt.Font("Century Gothic", 0, 18)); // NOI18N
        lblCalificacion.setForeground(new java.awt.Color(0, 0, 153));
        pnPrincipal.add(lblCalificacion, new org.netbeans.lib.awtextra.AbsoluteConstraints(670, 560, 150, 80));

        lblAgente.setFont(new java.awt.Font("Century Gothic", 0, 18)); // NOI18N
        lblAgente.setForeground(new java.awt.Color(0, 0, 153));
        pnPrincipal.add(lblAgente, new org.netbeans.lib.awtextra.AbsoluteConstraints(790, 420, 220, 320));

        btnEmpezar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/btnEmprezar.png"))); // NOI18N
        btnEmpezar.setContentAreaFilled(false);
        btnEmpezar.setCursor(new java.awt.Cursor(java.awt.Cursor.MOVE_CURSOR));
        btnEmpezar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnEmpezarActionPerformed(evt);
            }
        });
        pnPrincipal.add(btnEmpezar, new org.netbeans.lib.awtextra.AbsoluteConstraints(50, 620, -1, -1));

        txtInformacion.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Forma tu oración:", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.ABOVE_TOP, new java.awt.Font("Double•Bubble Shadow", 0, 36), new java.awt.Color(0, 102, 204))); // NOI18N
        txtInformacion.setFont(new java.awt.Font("Edelfontmed", 0, 48)); // NOI18N
        txtInformacion.setSelectionColor(new java.awt.Color(0, 0, 0));
        txtInformacion.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                txtInformacionKeyPressed(evt);
            }
        });
        pnPrincipal.add(txtInformacion, new org.netbeans.lib.awtextra.AbsoluteConstraints(330, 320, 660, 190));
        txtInformacion.getAccessibleContext().setAccessibleName("Forma tu Oración:");

        lblFondoImg.setBackground(new java.awt.Color(255, 255, 255));
        lblFondoImg.setFont(new java.awt.Font("Dreamwood DEMO", 0, 18)); // NOI18N
        lblFondoImg.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Recurso/fondoInicial.png"))); // NOI18N
        lblFondoImg.addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseDragged(java.awt.event.MouseEvent evt) {
                lblFondoImgMouseDragged(evt);
            }
        });
        lblFondoImg.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                lblFondoImgMousePressed(evt);
            }
        });
        pnPrincipal.add(lblFondoImg, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 1060, 750));

        getContentPane().add(pnPrincipal);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnAciertosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAciertosActionPerformed
        // TODO add your handling code here:        
        lblAgente.setIcon(null);
        lblDenominador.setIcon(null);
        lblNumerador.setIcon(null);
        lblNumerador.setText(null);
        lblDenominador.setText(null);

        int calificacion = 0;
        calificacion = (Imagen.length - 1) - (acum_errores);
        double promedio = 0;
        promedio = (calificacion * 1.0) / (Imagen.length - 1);
        ImageIcon icono;
        ImageIcon cuadro = new ImageIcon(getClass().getResource("/Recurso/cuadro.png"));
        if (promedio > 0.5) {
            icono = new ImageIcon(getClass().getResource("/Recurso/agenteFeliz.png"));
        } else {
            icono = new ImageIcon(getClass().getResource("/Recurso/agenteTriste.png"));
        }
        lblAgente.setIcon(icono);
        lblDenominador.setIcon(cuadro);
        lblNumerador.setIcon(cuadro);
        lblNumerador.setText("" + calificacion + "");
        lblDenominador.setText("" + (Imagen.length - 1) + "");
        btnEmpezar.setEnabled(true);
    }//GEN-LAST:event_btnAciertosActionPerformed

    private void btnSalirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnSalirActionPerformed
        // TODO add your handling code here:        
        System.exit(0);
    }//GEN-LAST:event_btnSalirActionPerformed

    private void btnCompilarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCompilarActionPerformed

        if (txtInformacion.getText().equals("")) {
            ImageIcon icono = new ImageIcon(getClass().getResource("/Recurso/Cancel.png"));
            JOptionPane.showMessageDialog(null, "Construye la oración", "Advertencia", JOptionPane.WARNING_MESSAGE, icono);
        } else {
            btnCompilar.setEnabled(false);
            arrayGrafico[contGrafico] = rescGrafico;
            contGrafico++;
            try {
                int error = objCompilador_Oraciones.compilar(txtInformacion.getText().toLowerCase() + ". ");
                acum_errores = acum_errores + error;                
            } catch (IOException ex) {
                Logger.getLogger(JfrmPrincipal.class.getName()).log(Level.SEVERE, null, ex);
            }
            if (contGrafico == arrayGrafico.length) {
                btnAciertos.setEnabled(true);
                btnTabla.setEnabled(true);
                lblVisor.setIcon(Imagen[0]);
                btnAnterior.setEnabled(false);
                btnSiguiente.setEnabled(false);
                txtInformacion.setEnabled(false);
                txtInformacion.setText(null);
                btn1.setText(null);
                btn2.setText(null);
                btn3.setText(null);
                btn4.setText(null);
                btn5.setText(null);
                btn6.setText(null);
            }
        }
    }//GEN-LAST:event_btnCompilarActionPerformed

    private void btnBorrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnBorrarActionPerformed
        // TODO add your handling code here:
        txtInformacion.setText(null);
    }//GEN-LAST:event_btnBorrarActionPerformed

    private void txtInformacionKeyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_txtInformacionKeyPressed
        // TODO add your handling code here:

    }//GEN-LAST:event_txtInformacionKeyPressed

    private void btnAnteriorActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAnteriorActionPerformed
        // TODO add your handling code here: 

        txtInformacion.setText(null);
        btnCompilar.setEnabled(true);
        boolean band;
        contImagen--;
        do {
            band = false;
            for (int indArrayJuego = 1; indArrayJuego < arrayGrafico.length; indArrayJuego++) {
                if (contImagen == arrayGrafico[indArrayJuego]) {
                    band = true;
                }
            }
            if (band == true) {
                contImagen--;
            } else {
                band = false;
            }
        } while (band == true);
        if (contImagen > 0) {
            rescGrafico = contImagen;
            graficOracion = objOracion.cargarOracion(numeroGrafico.get(contImagen));
            cargarIU();
            lblVisor.setIcon(Imagen[contImagen]);
        }
        if (contImagen <= (Imagen.length - 2)) {
            btnSiguiente.setEnabled(true);
        }
        if (contImagen <= 1) {
            btnAnterior.setEnabled(false);
        }

    }//GEN-LAST:event_btnAnteriorActionPerformed

    private void btnSiguienteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnSiguienteActionPerformed
        // TODO add your handling code here:

        btn1.setEnabled(true);
        btn2.setEnabled(true);
        btn3.setEnabled(true);
        btn4.setEnabled(true);
        btn5.setEnabled(true);
        btn6.setEnabled(true);

        txtInformacion.setEnabled(true);
        txtInformacion.setText(null);
        btnCompilar.setEnabled(true);
        boolean band;
        contImagen++;
        do {
            band = false;
            for (int indArrayJuego = 1; indArrayJuego < arrayGrafico.length; indArrayJuego++) {
                if (contImagen == arrayGrafico[indArrayJuego]) {
                    band = true;
                }
            }
            if (band == true) {
                contImagen++;
            } else {
                band = false;
            }
        } while (band == true);
        if (contImagen < arrayGrafico.length) {
            rescGrafico = contImagen;
            graficOracion = objOracion.cargarOracion(numeroGrafico.get(contImagen));
            cargarIU();
            lblVisor.setIcon(Imagen[contImagen]);
        }
        if (contImagen >= (Imagen.length - 1)) {
            btnSiguiente.setEnabled(false);
        }
        if (contImagen >= 2) {
            btnAnterior.setEnabled(true);
        }
    }//GEN-LAST:event_btnSiguienteActionPerformed

    private void lblFondoImgMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lblFondoImgMousePressed
        // TODO add your handling code here:

    }//GEN-LAST:event_lblFondoImgMousePressed

    private void lblFondoImgMouseDragged(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lblFondoImgMouseDragged
        // TODO add your handling code here:

    }//GEN-LAST:event_lblFondoImgMouseDragged

    private void formMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_formMousePressed
        // TODO add your handling code here:
    }//GEN-LAST:event_formMousePressed

    private void lblMousePressedMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lblMousePressedMousePressed
        // TODO add your handling code here:
        x = evt.getX();
        y = evt.getY();
    }//GEN-LAST:event_lblMousePressedMousePressed

    private void lblMousePressedMouseDragged(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lblMousePressedMouseDragged
        // TODO add your handling code here:
        this.setLocation(this.getLocation().x + evt.getX() - x, this.getLocation().y + evt.getY() - y);
    }//GEN-LAST:event_lblMousePressedMouseDragged

    private void btn1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btn1ActionPerformed
        // TODO add your handling code here:
        txtInformacion.setText(txtInformacion.getText() + btn1.getText() + " ");
        btn1.setEnabled(false);
    }//GEN-LAST:event_btn1ActionPerformed

    private void btn2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btn2ActionPerformed
        // TODO add your handling code here:
        txtInformacion.setText(txtInformacion.getText() + btn2.getText() + " ");
        btn2.setEnabled(false);
    }//GEN-LAST:event_btn2ActionPerformed

    private void btn3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btn3ActionPerformed
        // TODO add your handling code here:
        txtInformacion.setText(txtInformacion.getText() + btn3.getText() + " ");
        btn3.setEnabled(false);
    }//GEN-LAST:event_btn3ActionPerformed

    private void btn5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btn5ActionPerformed
        // TODO add your handling code here:
        txtInformacion.setText(txtInformacion.getText() + btn5.getText() + " ");
        btn5.setEnabled(false);
    }//GEN-LAST:event_btn5ActionPerformed

    private void btn4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btn4ActionPerformed
        // TODO add your handling code here:
        txtInformacion.setText(txtInformacion.getText() + btn4.getText() + " ");
        btn4.setEnabled(false);

    }//GEN-LAST:event_btn4ActionPerformed

    private void btn6ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btn6ActionPerformed
        // TODO add your handling code here:
        txtInformacion.setText(txtInformacion.getText() + btn6.getText() + " ");
        btn6.setEnabled(false);
    }//GEN-LAST:event_btn6ActionPerformed

    private void btnTablaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnTablaActionPerformed
        // TODO add your handling code here:
        DefaultTableModel model = new DefaultTableModel();
        model.setColumnIdentifiers(new Object[]{"Valor", "Descripción"});
        tblResumen.setModel(model);

        for (int indtbl = 0; indtbl < objCompilador_Oraciones.TokenPalabras.size(); indtbl++) {
            model.addRow(new Object[]{objCompilador_Oraciones.TokenPalabras.get(indtbl).getValor(),
                objCompilador_Oraciones.TokenPalabras.get(indtbl).getError()});
        }

        GestionTabla estilo = new GestionTabla();
        tblResumen.setDefaultRenderer(Object.class, estilo);
        JfrmTabla.setVisible(true);
        JfrmTabla.setLocationRelativeTo(this);
        AWTUtilities.setWindowOpaque(this, false);
    }//GEN-LAST:event_btnTablaActionPerformed

    private void btnSalir1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnSalir1ActionPerformed
        // TODO add your handling code here:
        JfrmTabla.setVisible(false);

    }//GEN-LAST:event_btnSalir1ActionPerformed

    private void btnEmpezarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnEmpezarActionPerformed
        // TODO add your handling code here:
        juegoOracion();


    }//GEN-LAST:event_btnEmpezarActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(JfrmPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(JfrmPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(JfrmPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(JfrmPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new JfrmPrincipal().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JFrame JfrmTabla;
    private javax.swing.JButton btn1;
    private javax.swing.JButton btn2;
    private javax.swing.JButton btn3;
    private javax.swing.JButton btn4;
    private javax.swing.JButton btn5;
    private javax.swing.JButton btn6;
    private javax.swing.JButton btnAciertos;
    private javax.swing.JButton btnAnterior;
    private javax.swing.JButton btnBorrar;
    private javax.swing.JButton btnCompilar;
    private javax.swing.JButton btnEmpezar;
    private javax.swing.JButton btnFondo1;
    private javax.swing.JButton btnFondo2;
    private javax.swing.JButton btnFondo3;
    private javax.swing.JButton btnSalir;
    private javax.swing.JButton btnSalir1;
    private javax.swing.JButton btnSiguiente;
    private javax.swing.JButton btnTabla;
    private javax.swing.JLabel lblAgente;
    private javax.swing.JLabel lblCalificacion;
    private javax.swing.JLabel lblContenedor;
    private javax.swing.JLabel lblDenominador;
    private javax.swing.JLabel lblFondo1;
    private javax.swing.JLabel lblFondoImg;
    private javax.swing.JLabel lblMousePressed;
    private javax.swing.JLabel lblNumerador;
    private javax.swing.JLabel lblTitulo;
    private javax.swing.JLabel lblTitulo1;
    private javax.swing.JLabel lblVisor;
    private javax.swing.JPanel pnPrincipal;
    private javax.swing.JPanel pnTabla;
    private javax.swing.JScrollPane scrollTabla;
    private javax.swing.JTable tblResumen;
    private javax.swing.JEditorPane txtInformacion;
    // End of variables declaration//GEN-END:variables
}
