/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package compilador_oraciones;

import java.io.IOException;
import java.io.StringReader;
import java.util.StringTokenizer;

/**
 *
 * @author kelly
 */
public class AnalizadorLexico {
    
    Diccionario objDic = new Diccionario();
    private Token token;
    private StringTokenizer fuenteToken;
    private String lexema;
    public boolean tratVistazo = true;
    public int num_token=0;
    private char vistazo = ' ';
    
    public void setInformacion(String fuente) throws IOException {
        fuenteToken = new StringTokenizer(fuente);
    }

    private int TT(int estado, char vistazo) {
        if (estado == 1 && Character.isLetter(vistazo)) {
            estado = 2;
        } else if (estado == 2 && Character.isLetter(vistazo)) {
            estado = 2;
        } else {
            estado = 3;
        }
        return estado;
    }

    public Token explorar() throws IOException {        
        lexema = fuenteToken.nextToken();
        StringReader sr = new StringReader(lexema);
        int estado = 1;
        int nuevo_estado;
        vistazo = (char) sr.read();
        do {
            nuevo_estado = TT(estado, vistazo);
            if (nuevo_estado == 3) {
                token = new Token(Etiqueta.error,lexema);
                break;
            } else {
                estado = nuevo_estado;
            }
            vistazo = (char) sr.read();
        } while (Character.isLetter(vistazo));
        construirToken();
        num_token=num_token++;
        return token;
    }

    private void construirToken() {
        if (objDic.validarDeterminante(lexema)) {
            token = new Token(Etiqueta.Determinante, lexema);
        } else if (objDic.varlidarNucleo(lexema)) {
            token = new Token(Etiqueta.Nucleo, lexema);
        } else if (objDic.validarAdvCantidad(lexema)) {
            token = new Token(Etiqueta.advCantidad, lexema);
        } else if (objDic.validarAdjCalificativo(lexema)) {
            token = new Token(Etiqueta.adjCalificativo, lexema);
        } else if (objDic.validarVerbCopulativo(lexema)) {
            token = new Token(Etiqueta.verbCopulativo, lexema);
        } else if (objDic.validarVerbGerundio(lexema)) {
            token = new Token(Etiqueta.verbGerundio, lexema);
        } else if (objDic.validarVerbPresente(lexema)) {
            token = new Token(Etiqueta.verbPresente, lexema);
        } else if (objDic.validarPreposicion(lexema)) {
            token = new Token(Etiqueta.preposicion, lexema);
        } else if (lexema.equals(".")) {
            token = new Token(Etiqueta.Delimitador, lexema);
        } else {
            token = new Token(Etiqueta.noContexto, lexema);
        }
        if (num_token==fuenteToken.countTokens()) {
            tratVistazo = false;
            num_token=0;
        }
    }
}